## WnckSelector

WnckSelector — a window selector widget, showing the list of windows as a menu.

## Stability Level

Unstable, unless otherwise indicated

## Functions

GtkWidget * | wnck_selector_new ()
GtkWidget * | wnck_selector_new_with_handle ()

## Properties

WnckHandle * | handle | Read / Write / Construct Only

## Types and Values

struct | WnckSelector

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkMenuShell
                        ╰── GtkMenuBar
                            ╰── WnckSelector

## Implemented Interfaces

WnckSelector implements AtkImplementorIface and GtkBuildable.

## Description

The WnckSelector represents client windows on a screen as a menu, where menu items are labelled with the window titles and icons. Activating a menu item activates the represented window.

The WnckSelector will automatically detect the screen it is on, and will represent windows of this screen only.

## Functions

### wnck_selector_new ()

    GtkWidget *
    wnck_selector_new (void);

`wnck_selector_new` is deprecated and should not be used in newly-written code.

Creates a new WnckSelector. The WnckSelector will list WnckWindow of the WnckScreen it is on.

#### Returns

a newly created WnckSelector.

Since: 2.10

### wnck_selector_new_with_handle ()

    GtkWidget *
    wnck_selector_new_with_handle (WnckHandle *handle);

Creates a new WnckSelector. The WnckSelector will list WnckWindow of the WnckScreen it is on.

#### Parameters

handle | a WnckHandle |

#### Returns

a newly created WnckSelector.

## Types and Values

### struct WnckSelector

    struct WnckSelector;

The WnckSelector struct contains only private fields and should not be directly accessed.

## Property Details

### The `“handle”` property

      “handle”                   WnckHandle *

handle.

Owner: WnckSelector

Flags: Read / Write / Construct Only

## See Also

WnckTasklist